GNU bug report logs - #39115
26.3; eww consecutive links look like one link with mouse-over

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ynyaaa@HIDDEN; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 24 Jan 2020 15:42:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 24 10:42:05 2020
Received: from localhost ([127.0.0.1]:54657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iv15w-0006Wd-VK
	for submit <at> debbugs.gnu.org; Fri, 24 Jan 2020 10:42:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iv15v-0006W3-Gf
 for 39115 <at> debbugs.gnu.org; Fri, 24 Jan 2020 10:42:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34609)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iv15q-0002pg-BW; Fri, 24 Jan 2020 10:41:58 -0500
Received: from [176.228.60.248] (port=2669 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iv15p-0000C5-Jq; Fri, 24 Jan 2020 10:41:58 -0500
Date: Fri, 24 Jan 2020 17:41:42 +0200
Message-Id: <83pnf8rhe1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <874kwkg9nh.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 24 Jan 2020 16:24:18 +0100)
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <861rrrdjui.fsf@HIDDEN> <87eevqs6wz.fsf@HIDDEN>
 <83iml2tfgi.fsf@HIDDEN> <874kwkg9nh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: ynyaaa@HIDDEN,  39115 <at> debbugs.gnu.org
> Date: Fri, 24 Jan 2020 16:24:18 +0100
> 
> So I'm just doing this in shr.el, and I'm doing it on master, since it
> doesn't seem important enough for the release branch.

Thanks.  Please be sure to comment this, as I don't think the code
will otherwise explain itself.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 39115 <at> debbugs.gnu.org and ynyaaa@HIDDEN Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 24 Jan 2020 15:24:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 24 10:24:31 2020
Received: from localhost ([127.0.0.1]:54616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iv0ox-00042S-1C
	for submit <at> debbugs.gnu.org; Fri, 24 Jan 2020 10:24:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iv0ov-00042C-Jd
 for 39115 <at> debbugs.gnu.org; Fri, 24 Jan 2020 10:24:30 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iv0ol-0007rY-Cb; Fri, 24 Jan 2020 16:24:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <861rrrdjui.fsf@HIDDEN> <87eevqs6wz.fsf@HIDDEN>
 <83iml2tfgi.fsf@HIDDEN>
Date: Fri, 24 Jan 2020 16:24:18 +0100
In-Reply-To: <83iml2tfgi.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 23 Jan
 2020 16:28:13 +0200")
Message-ID: <874kwkg9nh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Yes, it will slow down
 redisplay, so I'm against doing this in core. > Lisp applications which want
 that can use this kludge, of course. Yeah, I don't see any way for this to
 be done in core -- it doesn't know what's considered "the same" region when
 doing the mouse highlights. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Yes, it will slow down redisplay, so I'm against doing this in core.
> Lisp applications which want that can use this kludge, of course.

Yeah, I don't see any way for this to be done in core -- it doesn't know
what's considered "the same" region when doing the mouse highlights.

So I'm just doing this in shr.el, and I'm doing it on master, since it
doesn't seem important enough for the release branch.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 23 Jan 2020 14:47:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 09:47:38 2020
Received: from localhost ([127.0.0.1]:52050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iudli-00005r-HI
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 09:47:38 -0500
Received: from mout.gmx.net ([212.227.15.18]:49353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1iudlg-00005b-NP
 for 39115 <at> debbugs.gnu.org; Thu, 23 Jan 2020 09:47:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1579790849;
 bh=t7p6g9URsOJOykvRweYIQk/qcaa5nF1W87PIAaL+o3Y=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=DuB0EgW9F522KaHmuBNlhq7k7ykFfR4J72/2A28z+gjQUhwioP7gLHh1KwmLkbuRg
 a6V06aLB6S0JVqKPY0tqM6xlHvLfcAMEpJffFkMvV42b8CZm1ZDnJMhr7xXzRejbfh
 Zycq0QsgOpXSQevo1canqAB9Kc+IzuEjjKI1c1Sw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([94.220.126.201]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1My36T-1jowFq2ioZ-00zYMf; Thu, 23
 Jan 2020 15:47:29 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <837e1jv4fa.fsf@HIDDEN> <8736c7qp4x.fsf@HIDDEN>
 <83r1zrthvn.fsf@HIDDEN> <87y2tzp6g4.fsf@HIDDEN>
 <87a76es6pu.fsf@HIDDEN>
Date: Thu, 23 Jan 2020 15:47:28 +0100
In-Reply-To: <87a76es6pu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 23 Jan 2020 13:22:21 +0100")
Message-ID: <874kwm9qm7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:w+laWtOIzpbrYi69tIPjnfI0dlkI/oXtKRb0/INM1LWVnGnjcUg
 7fVm/ZNI5BcFzVA7+6/RP/E0nWPwTObMHJu1pkGPjW1UOuhDaOF26JtwFSx52stY23zSekJ
 ZsqqIFTtL3fk3EAJ6ShdowNqDfqarpTuPmv9mzaNE8iHJ5xUcyZp+l+l0g4UUuS1T55MRj+
 BKmdippLCao4AjrBezyIA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ZBBMHWIDya4=:vgbpw14Dtt6khrKxz+SCSW
 /9+n8HnZFG2KvkjIO1EckmKxDTg4XYv5jxr/gOmMndgw8Ru0IH3vvAfrOVi53qls93sVc2HoX
 fYsIjk7cRJ6ifAkE7SbwEO8q4sdIOIYh3PTF2KHGVOEnkL/e7+yq+Ji2Eg3zqmmVteXGb1ojd
 JZfoBbcwpLxAlbBIYVExn/0xL19SK3XpFFSN28NCR/5ybdx3w0m7VPysKtDrX+mdy6gfHAlkE
 /jh23WkatOIm7IRFRTnxBGdJLDyIOxMHqag0KsiPA3YxaXZRiBpRIOSG/yBRMWmZSjb/juzHP
 Q6sLwkTjLB0ljkPqyQIVMsVQ0Gu/6B5xY8rsxO8HDEkk6d+gUyLaUbye6LEJeTM54BZ5mV/f7
 QJY9GL5A/7/4veY/oEWdJLHOQyJzzimICS4iO17JosrcZF4mwTXlvTlwOsjWt7dZ550nbkmLm
 zDMAJl5RD2lbqnNAXOFFwOFhwYYsEIvy2F+Wqb6840WBrymftp7WmOohVPJFdBVT0ZRCbAo2j
 3UrUrgZp7Zvd4jc+VjWedD+HKIk7lJ1T99v+aZax0Locq1qTOk35FawB1BkKzMB4DbsPReNFV
 XSuCaNk/RA0S/r2Wj0BzjviKfVJFDxCWLTqzKPWDStldqKP7lIBf0IjeTVVX4SD2SqcSSUH7z
 UTajL1L6k6oB8djxUw7VuHYHzkhHVfR6muCZEKvXA2SHJjqNx/++hf+kgLC0opxjO2l0XOMlG
 AFx1g9ryZAj4lXR1xIDl/NOCt4qs/a6rNSK51klpCD16ZmbvLMaZb7x70E6EzfnEYIfycZ/j6
 u0OE6rTDbJ/90TYtBcEuid7rNUkvexeZifssQYmjARKPD0oHLyYJu4CTftubPbcpXNoXOMHcG
 Y4Hn4j0qQ4AjUWmK9POOBvNxWG6BV7S2zLsi0BnokB577/a48773Zdx8Vxd4+5RBp6XZV8zho
 0i/Bmmp5TvbfeLzedDNLHa7cS5h8Q0xe9OEhi+e8tHntyrMNAu0MA7zQzgqb8IkbESxdpQhTF
 RBV2x6Xg0d7nffRLVB1ZZFaoIZ0c4w4Ri/gsh+bqSsSWxFV7lsF0kIPd9J0egDwCBaOBx060O
 HfIv3E7aTNH51/85Yq/LBXKYtKVzAaED87hwc+9AGDL3tK5PsSmuA+X2gfIprm9e2hYY5usYp
 U2IGfGJTOKxbqYdJbArjjC1lW+qslbVPoptpTT86Q6I47R2nNvCl1xe6FDnqxTWB9Ikn1B76I
 ilLARofL70JrJDekb
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 39115
Cc: Eli Zaretskii <eliz@HIDDEN>, 39115 <at> debbugs.gnu.org, ynyaaa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 23 Jan 2020 13:22:21 +0100 Lars Ingebrigtsen <larsi@HIDDEN> wrot=
e:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> Why do overlays and text properties differ on this?
>
> Overlays are objects, so even if they have identical properties, it's
> easy to see where an overlay starts and stops.  For text properties, we
> just use ad-hoc strategies like seeing whether the property we're
> interested changes or not, and determine the start/stop of the region
> based on that.
>
> It's perhaps unfortunate that text property regions don't have more
> "identity", but I guess it'd be difficult to change that now.

On Thu, 23 Jan 2020 16:39:46 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: larsi@HIDDEN,  ynyaaa@HIDDEN,  39115 <at> debbugs.gnu.org
>> Date: Wed, 22 Jan 2020 21:44:11 +0100
>>
>> Why do overlays and text properties differ on this?
>
> That's a side effect of different implementations.  Text properties
> are kept as intervals, and so two adjacent intervals with the same
> value of the property are indistinguishable from a single interval
> covering both stretches of text (and AFAIR we actually convert them
> into a single interval when we see fit).  By contrast, overlays are
> kept in a list, and you can have any number of them at the same
> position with the same property (which is why you can have, e.g., two
> or more after-strings at EOB, and they will both be displayed).

Thanks for the explanations.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 23 Jan 2020 14:39:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 09:39:40 2020
Received: from localhost ([127.0.0.1]:52035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iude0-0008KJ-IN
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 09:39:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iuddy-0008K6-Li
 for 39115 <at> debbugs.gnu.org; Thu, 23 Jan 2020 09:39:38 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59120)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iuddr-0004Dv-Lz; Thu, 23 Jan 2020 09:39:33 -0500
Received: from [176.228.60.248] (port=2485 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iuddq-0002ND-T4; Thu, 23 Jan 2020 09:39:31 -0500
Date: Thu, 23 Jan 2020 16:39:46 +0200
Message-Id: <83eevqtex9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <87y2tzp6g4.fsf@HIDDEN> (message from Stephen Berman on Wed, 22
 Jan 2020 21:44:11 +0100)
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <837e1jv4fa.fsf@HIDDEN> <8736c7qp4x.fsf@HIDDEN>
 <83r1zrthvn.fsf@HIDDEN> <87y2tzp6g4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39115
Cc: larsi@HIDDEN, 39115 <at> debbugs.gnu.org, ynyaaa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: larsi@HIDDEN,  ynyaaa@HIDDEN,  39115 <at> debbugs.gnu.org
> Date: Wed, 22 Jan 2020 21:44:11 +0100
> 
> Why do overlays and text properties differ on this?

That's a side effect of different implementations.  Text properties
are kept as intervals, and so two adjacent intervals with the same
value of the property are indistinguishable from a single interval
covering both stretches of text (and AFAIR we actually convert them
into a single interval when we see fit).  By contrast, overlays are
kept in a list, and you can have any number of them at the same
position with the same property (which is why you can have, e.g., two
or more after-strings at EOB, and they will both be displayed).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 23 Jan 2020 14:28:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 09:28:05 2020
Received: from localhost ([127.0.0.1]:52027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iudSn-000800-61
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 09:28:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iudSl-0007zh-9v
 for 39115 <at> debbugs.gnu.org; Thu, 23 Jan 2020 09:28:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58966)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iudSg-0000fx-2t; Thu, 23 Jan 2020 09:27:58 -0500
Received: from [176.228.60.248] (port=1780 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iudSe-0004wE-WF; Thu, 23 Jan 2020 09:27:57 -0500
Date: Thu, 23 Jan 2020 16:28:13 +0200
Message-Id: <83iml2tfgi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87eevqs6wz.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 23 Jan 2020 13:18:04 +0100)
Subject: Re: bug#39115: 26.3;
 eww consecutive links look like one link with mouse-over
References: <861rrrdjui.fsf@HIDDEN> <87eevqs6wz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Thu, 23 Jan 2020 13:18:04 +0100
> Cc: 39115 <at> debbugs.gnu.org
> 
> ynyaaa@HIDDEN writes:
> 
> > I think it is enough to replace 'mouse-face property from 'highlight
> > to (list 'highlight).
> 
> Ah, yes, that works, because the mouse-face is compared with eq.
> 
> Does anybody know whether there are any drawbacks to doing this (besides
> having an extra cons cell)?  Presumably the display would be slightly
> slower, but probably not noticeable.

Yes, it will slow down redisplay, so I'm against doing this in core.
Lisp applications which want that can use this kludge, of course.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 23 Jan 2020 12:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 07:22:32 2020
Received: from localhost ([127.0.0.1]:51909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iubVI-0005TJ-5q
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 07:22:32 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iubVG-0005T6-Ky
 for 39115 <at> debbugs.gnu.org; Thu, 23 Jan 2020 07:22:30 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iubV8-0004Qv-3p; Thu, 23 Jan 2020 13:22:24 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <837e1jv4fa.fsf@HIDDEN> <8736c7qp4x.fsf@HIDDEN>
 <83r1zrthvn.fsf@HIDDEN> <87y2tzp6g4.fsf@HIDDEN>
Date: Thu, 23 Jan 2020 13:22:21 +0100
In-Reply-To: <87y2tzp6g4.fsf@HIDDEN> (Stephen Berman's message of "Wed, 22
 Jan 2020 21:44:11 +0100")
Message-ID: <87a76es6pu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stephen Berman <stephen.berman@HIDDEN> writes: > Why do
 overlays
 and text properties differ on this? Overlays are objects, so even if they
 have identical properties, it's easy to see where an overlay starts and stops.
 For text properties, we just use ad-hoc strategies like seeing whether the
 property [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: Eli Zaretskii <eliz@HIDDEN>, 39115 <at> debbugs.gnu.org, ynyaaa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> Why do overlays and text properties differ on this?

Overlays are objects, so even if they have identical properties, it's
easy to see where an overlay starts and stops.  For text properties, we
just use ad-hoc strategies like seeing whether the property we're
interested changes or not, and determine the start/stop of the region
based on that.

It's perhaps unfortunate that text property regions don't have more
"identity", but I guess it'd be difficult to change that now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 23 Jan 2020 12:18:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 07:18:14 2020
Received: from localhost ([127.0.0.1]:51905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iubR8-0005Mz-Iv
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 07:18:14 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iubR6-0005Ml-PR
 for 39115 <at> debbugs.gnu.org; Thu, 23 Jan 2020 07:18:13 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iubQz-0004OY-0X; Thu, 23 Jan 2020 13:18:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ynyaaa@HIDDEN
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <861rrrdjui.fsf@HIDDEN>
Date: Thu, 23 Jan 2020 13:18:04 +0100
In-Reply-To: <861rrrdjui.fsf@HIDDEN> (ynyaaa@HIDDEN's message of "Thu,
 23 Jan 2020 10:47:49 +0900")
Message-ID: <87eevqs6wz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  ynyaaa@HIDDEN writes: > I think it is enough to replace
 'mouse-face property from 'highlight > to (list 'highlight). Ah, yes, that
 works, because the mouse-face is compared with eq. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

ynyaaa@HIDDEN writes:

> I think it is enough to replace 'mouse-face property from 'highlight
> to (list 'highlight).

Ah, yes, that works, because the mouse-face is compared with eq.

Does anybody know whether there are any drawbacks to doing this (besides
having an extra cons cell)?  Presumably the display would be slightly
slower, but probably not noticeable.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 23 Jan 2020 12:16:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 07:16:22 2020
Received: from localhost ([127.0.0.1]:51901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iubPK-0005KA-8J
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 07:16:22 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iubPF-0005Ju-TD
 for 39115 <at> debbugs.gnu.org; Thu, 23 Jan 2020 07:16:20 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iubP7-0004NG-36; Thu, 23 Jan 2020 13:16:11 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <837e1jv4fa.fsf@HIDDEN> <8736c7qp4x.fsf@HIDDEN>
Date: Thu, 23 Jan 2020 13:16:08 +0100
In-Reply-To: <8736c7qp4x.fsf@HIDDEN> (Stephen Berman's message of "Wed, 22
 Jan 2020 20:15:10 +0100")
Message-ID: <87iml2s707.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stephen Berman <stephen.berman@HIDDEN> writes: > I don't
 know if it's easy to make e.g. buttons take advantage of this so > you can
 have consecutive buttons or links with independent mouse > highlighting. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: Eli Zaretskii <eliz@HIDDEN>, 39115 <at> debbugs.gnu.org, ynyaaa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> I don't know if it's easy to make e.g. buttons take advantage of this so
> you can have consecutive buttons or links with independent mouse
> highlighting.

It would be easy to have to different highlight faces (with the same
properties) and just use them every other time.  But it does seem rather
kludgy...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 23 Jan 2020 01:48:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 20:48:04 2020
Received: from localhost ([127.0.0.1]:51535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuRbI-0001zd-55
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 20:48:04 -0500
Received: from mail-pj1-f66.google.com ([209.85.216.66]:51769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ynyaaa@HIDDEN>) id 1iuRbF-0001z8-Om
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 20:48:02 -0500
Received: by mail-pj1-f66.google.com with SMTP id d15so434308pjw.1
 for <39115 <at> debbugs.gnu.org>; Wed, 22 Jan 2020 17:48:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:date:message-id:mime-version;
 bh=ZBo69DID2HPjfklTIBvjz5b335gK3VzxQ5trMEBAZmI=;
 b=KpJOqm3YNokgip2JP0UenNso8E73i+wzrrMlYj1r63+tBD85hXPWYhYR62Amc7wuaV
 L1b7cLBZ2+RoJayDI5mActrXAhHO3fR/I245AwHRrzjLom5PXxV8JS4hBsQ6fWDfN0A3
 f0oboXCTvEALPdZdQhNqgVC2/enCiGIFlXC/9PlhWty1umzy7f8APzPBRjOJVvFa+Y9O
 5IdGcdWXzQPkjBA/GEQVJYU581ToFBs64togo/tOXK0H/9lY5SHT4jKLZL3RzYk7aYYU
 ZM2VnRuthr7lIrTLW334TI9CXX+uCd4OF5EAPFayGCulEb7Q7ccaTrNTn1Exu0Inxgcg
 JOkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:date:message-id
 :mime-version;
 bh=ZBo69DID2HPjfklTIBvjz5b335gK3VzxQ5trMEBAZmI=;
 b=fONxjbA1dNCC/H5EkgJzB3Kd65oIz6MlyPkkTJprBwkCs5dE8GmJbH3ZsBaW2WaviA
 ZV7/t1kUHUHwT+DX1fdpOmIvr+P+9xkNdUBMDVkhkQP9xZVLOGBCaFkzGSc2Awy12INX
 YAxRKur4UzxPJmPUSTWqmYomd+41hPIqvKbQdHzS5Mi+jND2UogrkGEk60FLbl+4R+uJ
 /HrdAMRUWhkgDOs+50oUYHfVrpr/N/hFcFunOO7u+3JnJchgPhDxE57gwZsCLCyabLn3
 yRuj6GILI+lmYAUhDrcrdmd2SsgyX1ajsIRMaAj3fhqwUYhnIa0Tpa1gT3OzcPeOyMqC
 Z9Ww==
X-Gm-Message-State: APjAAAUb7e7UzoRDvPey9PKThzx3hbHSka2s74rKxExNpR/t1P0S/GkC
 32+GSaOZKCc09opVNhvmHvSBcLZs
X-Google-Smtp-Source: APXvYqxR7RFfNkySaEKnYc+Y608mD4VV3pSPKyT7qX6T7aDf5PIHZaCUwOu8TncE/MZPnkjm2n1GmQ==
X-Received: by 2002:a17:90a:ac0e:: with SMTP id
 o14mr1722280pjq.11.1579744075528; 
 Wed, 22 Jan 2020 17:47:55 -0800 (PST)
Received: from HP (east42-p111.eaccess.hi-ho.ne.jp. [219.121.173.112])
 by smtp.gmail.com with ESMTPSA id u13sm237789pjn.29.2020.01.22.17.47.53
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 22 Jan 2020 17:47:54 -0800 (PST)
From: ynyaaa@HIDDEN
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39115: 26.3;
 eww consecutive links look like one link with mouse-over
In-Reply-To: <87sgk7ttca.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 22 Jan 2020 16:16:05 +0100")
Date: Thu, 23 Jan 2020 10:47:49 +0900
Message-ID: <861rrrdjui.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> ynyaaa@HIDDEN writes:
>
>> If two or more links are consecutive without any blank characters,
>> pointing one of them with mouse activates 'mouse-face of them all at
>> the same time.
>
> Here's a file that demonstrates the problem (open with `M-x eww-open-file'):
>
> Hm.GnuFSF
>
>
> I don't know how to fix it, though.  Is there a way to make two
> consecutive mouse-face regions not light up at the same time when the
> mouse pointer is over a part of one of the regions?

I think it is enough to replace 'mouse-face property from 'highlight
to (list 'highlight).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 20:44:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 15:44:23 2020
Received: from localhost ([127.0.0.1]:51416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuMrO-0001CB-UA
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 15:44:23 -0500
Received: from mout.gmx.net ([212.227.17.21]:39045)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1iuMrM-0001Bx-FX
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 15:44:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1579725853;
 bh=6SB9jI4gKMvOBXdt7Bgn8Q5wMlBeIjV6dDMgsDkiG+0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=RQ3dBoao/w2Ac0H7vPR5sI3Zq6gm1zo0HUjI5F2ttw4wrfsryZ8MpBrDUvSu29cSV
 fW7wd/yAi6FrIiAAco3uwYreEgKJRr/sOhUAyq2KZo+3L/HKleyKkU70H8UR1r4mtF
 Ntu132GXcO6MSkIj+b8aKtWfRRI8HS/mASlO4lwk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([94.220.123.233]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MEm6F-1ioYMw0O3X-00GKvs; Wed, 22
 Jan 2020 21:44:13 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <837e1jv4fa.fsf@HIDDEN> <8736c7qp4x.fsf@HIDDEN>
 <83r1zrthvn.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 21:44:11 +0100
In-Reply-To: <83r1zrthvn.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 22 Jan
 2020 21:23:40 +0200")
Message-ID: <87y2tzp6g4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Aep3gXUEtzC+xyF/GfxYaFCHm5fIE5NXhGuIxriICEC7sJuF/kD
 yVfu1qs4Dq1mbtzHnfLvqn0EbDPbA8yShRtCB4AXmegX1LZlmD8QCp0VW6x96E1vVePQ/WE
 ooecOPIrPbi/60Z7mStuLCzsmfc68Rc29V/6t8FQaW2IjkAbI/7X861HkK8/9UTQXOsWVi+
 r7ssYdnz1XXyKPxn2FK2g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qQDiye4h6nI=:KzVIcXgdjh1zFC2dJrkkE8
 Mt6euSM6zMbGqIHlbFWEwV7WCkYaogPOyT/yy61QE2v0eLD1TgVvER6IagW1EjTOvZuRgbaxU
 PgFTigzJXALEQ+V1/rsPf/J5RUyiMSENeAyW+RHd0czYIR8tjdQhUIa1B/nymKCwWpFY7DGSa
 mFJAEnDusYoLe8X8spbeg1tHvIKBuWy0otLgm3fucnRYgZhkwqCJWb6RY3jU8t1qtySNfCqy8
 apYDa7NUrXUs1ro7k5kuzXyc7az/dm2rWWd1nwwTD9iOhvvTYFo3sfOQb5Fs2nORLRy5HvwWH
 pRiE8QZTah3bJq0+hoTbswSVA1AQeqz6e/ygSNYR9PwZf1Id+gFSEANvIvh5WrTsJT9Iml7O+
 xx0yJoJ8CJ1ZG24T1hT8REZOptxrt7dmS53C9mZQ2HeQik2Vow+tLi1f4CGoCe1ZNh4ZLsI3X
 NagLw924gM9ywBhF02F65QO3rXP++q3Z4b3CecwvaKWSdTf1WzI14CMjc/Tw+MJrEdnsWoRtk
 xpI2oGkhr1wK6t0O4tewc2QRhHGOS5MvQpWcrBHKsZaYMzcjV05b3WfV/M3dEMRdNBdl7hqzY
 G/MKFMo7a1QxYSxqI+xRYJsriuaGjmDRqBAYUJgeqIipp9+aJs8buMBi9NP4C26CwisOQqIwT
 sVwSulZEjYzXc1duoK7npjoT/B7WvUKUtmQRHRi54Iq/xjPusxj/xG8XEiooc3dgWKv3JtyoJ
 zcriNfqmXf3FI3u/jNkuLr5y7Rbmgk0ZXKfvP7kshobF1WSJXl+IHDdSMc2jygdIQ0vxcIvc8
 WpwYD1XbnvuSvtnry2A+DF4vylpAkAp5Z2jGJzub4m7B9NQFlbVrdA/G7WEAgCdu+zfzYSJud
 pOEgvAywNtl7i0CTgL+p5C6+fQy2vKKiDRS6zL+gXk1Fx0jm/tzE5nMdA8EzpmPhhGr+IBUJL
 81fLBtLXZbOM/PbNMkclUJ8JwUl+nuAwwBzS0g7Glq/t7DmwBBRl+04xuiqcdi4sXi5WkXVGs
 T6SPdIwE1E9KcLv9rApohu3O1FRNF7nV7pu+CD2yMVEjkkQVozeWTFil3JmXQ5NSQim9Ljji9
 TS6OUQbhevRBYkbvIeZEqwVaAaDIXDNkaTjwVTTXwYwGsZnl6Uh30b7rns0x1Kxk/ucEImscH
 qDLna0mR8AsH9cb/oXWLPNaMZA7YNl8KpmBrPG5WJaPsJZnAxmTkE22ufQmzsUpotVhcpXxTE
 HuI4nMPi7lPC/PktJ
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 39115
Cc: larsi@HIDDEN, 39115 <at> debbugs.gnu.org, ynyaaa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 22 Jan 2020 21:23:40 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  ynyaaa@HIDDEN,
>>   39115 <at> debbugs.gnu.org
>> Date: Wed, 22 Jan 2020 20:15:10 +0100
>>
>> > Not without changes to C-level code, no.  It currently traverses the
>> > glyphs looking for the first one that doesn't have the mouse-face, so
>> > if two stretches of text one after the other have that face, it won't
>> > notice.
>>
>> That appears to be so only if the respective face values of the
>> mouse-face properties have the same name; if the face names are
>> different, even if one inherits from the other so they are visually
>> indistinguishable, then each propertized string gets highlighted
>> independently when the mouse pointer hovers over it
>
> That goes without saying, but I thought the request was for the
> "normal" mouse face to be able to do that.  It sounds a kludge to me
> to ask that each button uses a different value of mouse-face, since it
> means someone should construct each button by hand, and not generate
> them by generic code.

I also think it would only be worth considering if it could be
programmed.  But for buttons, it seems the problem does not arise: I
just checked insert-button, and it uses overlays, which appear not to
have the adjacency issue that text properties have:

(progn
  (insert-button "one" 'mouse-face 'highlight)
  (insert-button "two" 'mouse-face 'highlight)
  (insert-button "three" 'mouse-face 'highlight))

Why do overlays and text properties differ on this?

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 19:23:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 14:23:40 2020
Received: from localhost ([127.0.0.1]:51352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuLbI-0005WP-GG
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 14:23:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iuLbH-0005WD-5z
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 14:23:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43311)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iuLbB-0000t2-Nu; Wed, 22 Jan 2020 14:23:33 -0500
Received: from [176.228.60.248] (port=4112 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iuLbA-0000VC-LW; Wed, 22 Jan 2020 14:23:33 -0500
Date: Wed, 22 Jan 2020 21:23:40 +0200
Message-Id: <83r1zrthvn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
In-reply-to: <8736c7qp4x.fsf@HIDDEN> (message from Stephen Berman on Wed, 22
 Jan 2020 20:15:10 +0100)
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <837e1jv4fa.fsf@HIDDEN> <8736c7qp4x.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39115
Cc: larsi@HIDDEN, 39115 <at> debbugs.gnu.org, ynyaaa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  ynyaaa@HIDDEN,
>   39115 <at> debbugs.gnu.org
> Date: Wed, 22 Jan 2020 20:15:10 +0100
> 
> > Not without changes to C-level code, no.  It currently traverses the
> > glyphs looking for the first one that doesn't have the mouse-face, so
> > if two stretches of text one after the other have that face, it won't
> > notice.
> 
> That appears to be so only if the respective face values of the
> mouse-face properties have the same name; if the face names are
> different, even if one inherits from the other so they are visually
> indistinguishable, then each propertized string gets highlighted
> independently when the mouse pointer hovers over it

That goes without saying, but I thought the request was for the
"normal" mouse face to be able to do that.  It sounds a kludge to me
to ask that each button uses a different value of mouse-face, since it
means someone should construct each button by hand, and not generate
them by generic code.

But if using different face values is a good-enough solution, then
sure, why not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 19:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 14:15:22 2020
Received: from localhost ([127.0.0.1]:51331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuLTF-0005IE-Qh
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 14:15:22 -0500
Received: from mout.gmx.net ([212.227.17.20]:56387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1iuLTD-0005Hz-TC
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 14:15:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1579720512;
 bh=bp6Gr7aDqxJOfzXc1VQezrvX2PqujFNZnXENkfvyaXc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=idLhdrBysGXHAl0aObz3H0AgsEVR+HEYptghc+tVjT49bIOOasalASPmHdsshMExN
 RvOxarA/a8y+gTxUKTj/IP65FdBEDLA9RT3JxKo8d2LpFs52VjoehSgZqmt4bMHMUk
 1xeouovV/KO8W3kza081xHZ6Jw1hO5e4kDQzPLiA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([94.220.123.233]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N63RQ-1jeTzT3tg8-016NdM; Wed, 22
 Jan 2020 20:15:12 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <837e1jv4fa.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 20:15:10 +0100
In-Reply-To: <837e1jv4fa.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 22 Jan
 2020 18:31:21 +0200")
Message-ID: <8736c7qp4x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:6qH7XMXSQkWKjVOWL/tJrsauGf0bmlv6n4puQcH3BlS4WKjvj32
 26Twq3JG1i840+3Ovf4MEBrShXTWZ9NV20ul9DDyhZ6aw/3BnxozAR+8RYGGsHrqGwXw01L
 APVIAZmuqOaDyTaTaWaimvFMO9x8q3NYIs/8rz0AXAN1/fTyqzRFzwWN/VI78pUTQQ/pNI2
 PwY5WF6nzRpWYfRlatz6g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:z4yipblHDSE=:Ge6mmBHkjJYRo9OIIdOcd8
 dt6TzxaC4KnVm2OBglKqKJjOKPIPSWXgYICeq69v4c2ZSrQ7OAs0iJ9iJTamTbwkjg/6Zf39D
 EjWwwU5hCrZK3lm/LvUjhDOzN56lhVzaBebud/Md8sZ7rriPicFskvvS6iSnL0d6BV5mwcBAC
 Tk6bKr3UBxFouVTcPtrcOnhdjHGZm9dbLqJ4sB51CcLN5VgoNkF/GVgpSrpelNvEeEjMQVttl
 pw5jLcFaGUHADln02aH3ijBwuYY80mhN40hGOKDAkyMU70iG1yxStp5vuN/JDebejl5CNalSu
 b5zIdBNk6LZAeL7PBtqZUtnxnzZ/KnIWwN0NedhvIwd/zFoyabWFVTik69x0VvR39ZI1Xt3k2
 NtJOZtsOsjDNq3jthMR8uLgeAdp+JQR44kHFIKD3fIx86PAMyTcs3MZWGqF4sGkIcv0xYWjww
 yUJz19SndE5nGzMDLNzpSmBzQMeKFe0AD3KNg0lhRiDpz8LAKC5uYDhnwaZdD7oe9erCuXetk
 lnst5/+V/5Tgv97oSgEkj/aVM2/fdP/yUhO+g/ZvtBwmBcdcog/CEfEhu35UQbkOsJi5SolPv
 ybd6+g7vugKmS2PvFq8gH5caaQ/ZOpgJCP4Ci7wi1QdqUY7JKTicC1Di4/wHKLZDoFcdnE+mz
 qhT/MP74PcCbq/wj7ZuO1xs/R+NCjVA8b/5TAtrq74AMA/DOPhFejwjb0CeiF+/A3UE9a8tdy
 LfZ/6crNOmVJeh4+3u7/jZ1VxzOF5aVJ53rpeG9fo5RSfJwk1BMHjo/WFX7CsSFn2P+4ti9fY
 nPFMlsV4DUCOGAMzCPy4WBgoE1nKs6tvmMrJtOr6thh7MSQ9P5toc/sWcuCBFTMHmCCyhad50
 /H4kYrE17uoEa2QUMqGziKKfDExHWmKOxSaRSCoUEZr0dQRK0arx6ZPHaqCDVv3QQ+XDkGeVQ
 CFj5k4m0+CaGNplBdAJfr3wHH71iKfQG76Flx9OsiIIIdf2xJ1rc/4bNy/uRNSNw5KuphmDqx
 kuK+L0dSRn6GjFm28GdDUDD/3698tl2X3suuulcfrT3it/aolNsbw0vZnHWiWGnQ06YGw2pat
 VWkn1Tn5T4xCvnLlCHOI+UqO8Eflv/emNGwsOsyf7NGtKvVCulIYY8TATWe7zcwztBNW6B4aq
 8YI3Q5kakFspLPQsQHbJjHX7uGdn5tvSTFqDYD73U7M0mcZMuqyvqiEQXHR6u6oINMVU/z5TT
 MOayVGME61qd11pvZ
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39115
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 39115 <at> debbugs.gnu.org, ynyaaa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 22 Jan 2020 18:31:21 +0200 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Date: Wed, 22 Jan 2020 16:16:05 +0100
>> Cc: 39115 <at> debbugs.gnu.org
>>
>> I don't know how to fix it, though.  Is there a way to make two
>> consecutive mouse-face regions not light up at the same time when the
>> mouse pointer is over a part of one of the regions?
>
> Not without changes to C-level code, no.  It currently traverses the
> glyphs looking for the first one that doesn't have the mouse-face, so
> if two stretches of text one after the other have that face, it won't
> notice.

That appears to be so only if the respective face values of the
mouse-face properties have the same name; if the face names are
different, even if one inherits from the other so they are visually
indistinguishable, then each propertized string gets highlighted
independently when the mouse pointer hovers over it, e.g. here:

(insert (propertize "one" 'mouse-face 'highlight)
	(propertize "two" 'mouse-face 'header-line-highlight)
	(propertize "three" 'mouse-face 'highlight) ".")

I don't know if it's easy to make e.g. buttons take advantage of this so
you can have consecutive buttons or links with independent mouse
highlighting.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 16:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 11:31:23 2020
Received: from localhost ([127.0.0.1]:51209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuIuY-0006Jv-Mn
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 11:31:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iuIuX-0006F1-5X
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 11:31:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40137)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iuIuR-00062Z-Vi; Wed, 22 Jan 2020 11:31:16 -0500
Received: from [176.228.60.248] (port=1186 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iuIuL-00029h-AX; Wed, 22 Jan 2020 11:31:14 -0500
Date: Wed, 22 Jan 2020 18:31:21 +0200
Message-Id: <837e1jv4fa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87sgk7ttca.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 22 Jan 2020 16:16:05 +0100)
Subject: Re: bug#39115: 26.3;
 eww consecutive links look like one link with mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 22 Jan 2020 16:16:05 +0100
> Cc: 39115 <at> debbugs.gnu.org
> 
> I don't know how to fix it, though.  Is there a way to make two
> consecutive mouse-face regions not light up at the same time when the
> mouse pointer is over a part of one of the regions?

Not without changes to C-level code, no.  It currently traverses the
glyphs looking for the first one that doesn't have the mouse-face, so
if two stretches of text one after the other have that face, it won't
notice.

If there are brave souls who would like to try their teeth on this,
patches are welcome.  Keep in mind that the relevant code solves the
very non-trivial problem of highlighting reordered bidirectional text,
so any algorithm that needs to rely on buffer positions linearly
increasing with glyph positions on the screen will fail.  The relevant
code is in mouse_face_from_buffer_pos and its subroutine
rows_from_pos_range; see also coords_in_mouse_face_p.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 16:05:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 11:05:11 2020
Received: from localhost ([127.0.0.1]:51166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuIVC-0002Zj-Rd
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 11:05:11 -0500
Received: from mail-wr1-f68.google.com ([209.85.221.68]:43556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iuIVB-0002ZO-3P
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 11:05:09 -0500
Received: by mail-wr1-f68.google.com with SMTP id d16so7863762wre.10
 for <39115 <at> debbugs.gnu.org>; Wed, 22 Jan 2020 08:05:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=rbhLwTIkqEFhMf0k4xefkvM+kCEl9rKZhsKKEWFdelg=;
 b=Ne39NJrT734PZuNZxQxtXoWqWbobqCs3QMTPwU8tWiIIENmDxp1cK6jG5OgwbbGogJ
 ojhsFZ9yIsw5RxQwnqmIAO9oL0KFt4MC2JytFeyzOBO/VSfKc9ajcmeZK8CtuoXGtAe6
 VdF692cYxvoQCkEs4tJ5EaK5U+XKK1FFxZLyK/8KJfFjGl+lGbVIEQ5DPNDU6c/lKgt/
 m4ik0UPiPVKwnwxJKX+FzwKBJ0QSJ+RkW0WJC7EiU/BPixRJbbt0jkABle/TLUK/o8kM
 wPDBI+If2g6FzDGQ8niOyptzJGVhlOxu1r1l8wORW2AFrsuqXWA9OoC+rBgM+2Lzjijh
 mXkQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=rbhLwTIkqEFhMf0k4xefkvM+kCEl9rKZhsKKEWFdelg=;
 b=jSEVd1gZq8psFWdDC0Vr/OnyhqRot5wKV9dEe6G1vdzXeORJ4VEP3EHCB68vkJl+nQ
 x2cJzBOCcKi8ZZzt+jkY68Py51tcx1QSOS9q+sMnsS5RxWfwPGO0AGWBOJgBuRMGItTO
 sXfddZqWmTR+9SpvhoTX6lF+UmISPRPRruFw0tX9jY2VLgI+UUP96orUIbfntrTSldbt
 RKNCof7rfiRgrIsvaAV+esRTvwAmLhwzFnzhfMaUC7JLLtOFlNk+qANFc1VMf9tiSSLB
 LJJ59Wsz+1ORtjpHaMx09BK5iD8NfKljQppvcZ72e9I/3PFBstSQkYijfDH9lMA7XwvX
 PU/w==
X-Gm-Message-State: APjAAAUC4bVsxpFMbssAXP5s6sK+33ZlVadCwLWWj976uQ5tQOGAK+nH
 lBasMvGZDhKYWKiAD4cfgFiZYWAYr94=
X-Google-Smtp-Source: APXvYqzXvuj32N0X+dnzwrK0DsfyvDyfQbaHWii2Cobs2VPio3xbxasS4Zz7NMYFXPTeN7xYZaGNBw==
X-Received: by 2002:adf:e40f:: with SMTP id g15mr11789082wrm.223.1579709102844; 
 Wed, 22 Jan 2020 08:05:02 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id s10sm57425601wrw.12.2020.01.22.08.05.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Jan 2020 08:05:01 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <m2r1zro6ja.fsf@HIDDEN> <87muaftsq5.fsf@HIDDEN>
 <m2muafo5x0.fsf@HIDDEN> <87eevrtrys.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 17:05:00 +0100
In-Reply-To: <87eevrtrys.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 22 Jan 2020 16:45:47 +0100")
Message-ID: <m2iml3o4sz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 22 Jan 2020 16:45:47 +0100, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >>>>>>> On Wed, 22 Jan 2020 16:29:22 +0100, Lars Ingebrigtsen
    >> <larsi@HIDDEN> said:
    >>=20
    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >> >> Add a 'display text property of some kind of arrow/pointer to the=
 end
    >> >> of each link to achieve visual separation?
    >>=20
    Lars> That sounds annoying if you're copying/yanking the text, doesn't =
it?
    >>=20
    >> I thought 'display properties were just displayed, and don=CA=BCt
    >> participate in copying/yanking? Am I misinformed?

    Lars> I thought you meant that we should put a space char after the lin=
k and
    Lars> put a display property on that -- because the display property ha=
s to be
    Lars> on something.

    Lars> If the display property is on the entire text, then that would be
    Lars> awkward, too, and wouldn't help with the issue, I think?  Mousing=
 over
    Lars> the region would still highlight both links?

Hmm yes, it looks like it (I was thinking of just putting it on the
last character of the link, but I think the effect is the same).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 15:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 10:45:59 2020
Received: from localhost ([127.0.0.1]:51145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuICd-00025X-F0
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:45:59 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iuICb-00025I-6V
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:45:57 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iuICS-0005QV-FG; Wed, 22 Jan 2020 16:45:50 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <m2r1zro6ja.fsf@HIDDEN> <87muaftsq5.fsf@HIDDEN>
 <m2muafo5x0.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 16:45:47 +0100
In-Reply-To: <m2muafo5x0.fsf@HIDDEN> (Robert Pluim's message of "Wed, 22
 Jan 2020 16:40:59 +0100")
Message-ID: <87eevrtrys.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: >>>>>> On Wed, 22
 Jan 2020 16:29:22 +0100, Lars Ingebrigtsen > <larsi@HIDDEN> said: > > Lars>
 Robert Pluim <rpluim@HIDDEN> writes: > >> Add a 'display text property
 of some kind of arrow/pointer [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnus.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Wed, 22 Jan 2020 16:29:22 +0100, Lars Ingebrigtsen
> <larsi@HIDDEN> said:
>
>     Lars> Robert Pluim <rpluim@HIDDEN> writes:
>     >> Add a 'display text property of some kind of arrow/pointer to the =
end
>     >> of each link to achieve visual separation?
>
>     Lars> That sounds annoying if you're copying/yanking the text, doesn'=
t it?
>
> I thought 'display properties were just displayed, and don=CA=BCt
> participate in copying/yanking? Am I misinformed?

I thought you meant that we should put a space char after the link and
put a display property on that -- because the display property has to be
on something.

If the display property is on the entire text, then that would be
awkward, too, and wouldn't help with the issue, I think?  Mousing over
the region would still highlight both links?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 15:41:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 10:41:09 2020
Received: from localhost ([127.0.0.1]:51133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuI7x-0001xa-Cm
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:41:09 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:43783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iuI7v-0001xI-9K
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:41:07 -0500
Received: by mail-wr1-f45.google.com with SMTP id d16so7764568wre.10
 for <39115 <at> debbugs.gnu.org>; Wed, 22 Jan 2020 07:41:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=Pwy74cri8pWCZ885ak2hmmIKv2WhajlSwbJulPd6tlo=;
 b=MFBXeMLKtHpY7pn6AFJWhxXV7ZSnxhGr5yZ9IYHbGRS26B4ZLk+8+RyJ5GUAVwZcAZ
 MAZWX9BUf8dp9mZE2NfovlHf3yMAJY6BYMIgO5HRG+CukolrXCJj+/6vzKBngNDAAlce
 nyveBe+Vdpo1nwEhPpHb7Bv42gR2dnPhhF4I9M/WS72XLtt2PpRMhyR/u8ICEsB56ION
 WiQP7WlZ+BDpaUj86AxPd0BOKsR13RICwQC7l8s3jy3mGInqpIEAibLCHqO2FggOeyeN
 2bP0yVaFZtYYmIhtJwA1uj9PDn+cAZ8D2fxQkGvUS+Q6iJmVO9CJTiz90hTXiqsW1vqm
 kIEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=Pwy74cri8pWCZ885ak2hmmIKv2WhajlSwbJulPd6tlo=;
 b=BnrP99uqyHA0Za/8kMNgpzX4kVjr951pLNh2w6mCARHWoKGOI3nZD574IkkKLTk2Hp
 ymQJRxJWrIlPvKtUtVmMEb4h+g2NsEt9KUta96J/ZoMMoSgUrYdmWT+rSNmv/NPmi1PV
 Ch0jjsv0wHMbARx0ydReCzZFYNbpGoYGyyP3dQxaCySV5QC0QAr0Tm/cqnV4lRxHtmk1
 syCw9k/+PKDVy/l31ea1iOE3YRmK1/Ln4JXe9HbtyKcvUMbYPjDeE44jLl28ZysiAcMY
 LuwRKsY0qZvyhSNMTLf7l8VXDIRt9tCtZoRrHMUL4kyMVAXtBspxwyZbKhJrmOCkuUH5
 9UcQ==
X-Gm-Message-State: APjAAAUzfYm/gHlcp3aExOzy1PthNBHWseL6xukAo7HM7CdnQ/RFw85+
 4b/aUT7qu1TeeNbxDHf2WysLaEqIzcY=
X-Google-Smtp-Source: APXvYqzkqJiQn45wFnxkvLDuxiAaQdLIQDzbWAphJjGJ7nYZl40MSRNi5tAXrmDncjwusU0K36HmEg==
X-Received: by 2002:adf:f605:: with SMTP id t5mr11508756wrp.282.1579707660985; 
 Wed, 22 Jan 2020 07:41:00 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 124sm4787207wmc.29.2020.01.22.07.40.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Jan 2020 07:41:00 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <m2r1zro6ja.fsf@HIDDEN> <87muaftsq5.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 16:40:59 +0100
In-Reply-To: <87muaftsq5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 22 Jan 2020 16:29:22 +0100")
Message-ID: <m2muafo5x0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 22 Jan 2020 16:29:22 +0100, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    >> Add a 'display text property of some kind of arrow/pointer to the end
    >> of each link to achieve visual separation?

    Lars> That sounds annoying if you're copying/yanking the text, doesn't =
it?

I thought 'display properties were just displayed, and don=CA=BCt
participate in copying/yanking? Am I misinformed?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 15:29:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 10:29:32 2020
Received: from localhost ([127.0.0.1]:51118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuHwi-0001ej-JG
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:29:32 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iuHwh-0001eX-Ap
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:29:31 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iuHwY-0005CY-Ok; Wed, 22 Jan 2020 16:29:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
 <m2r1zro6ja.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 16:29:22 +0100
In-Reply-To: <m2r1zro6ja.fsf@HIDDEN> (Robert Pluim's message of "Wed, 22
 Jan 2020 16:27:37 +0100")
Message-ID: <87muaftsq5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Robert Pluim <rpluim@HIDDEN> writes: > Add a 'display text
 property of some kind of arrow/pointer to the end > of each link to achieve
 visual separation? That sounds annoying if you're copying/yanking the text,
 doesn't it? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Add a 'display text property of some kind of arrow/pointer to the end
> of each link to achieve visual separation?

That sounds annoying if you're copying/yanking the text, doesn't it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 15:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 10:27:48 2020
Received: from localhost ([127.0.0.1]:51113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuHv2-0001c4-6V
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:27:48 -0500
Received: from mail-wr1-f65.google.com ([209.85.221.65]:47072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iuHuz-0001bq-R5
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:27:46 -0500
Received: by mail-wr1-f65.google.com with SMTP id z7so7662052wrl.13
 for <39115 <at> debbugs.gnu.org>; Wed, 22 Jan 2020 07:27:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=DNBhvR+qQv+07OH9tXROQyzv169pyzObDNq0aSOgGmU=;
 b=aCSlZa4a2QBimloFYpoBa2EPy54ku0eoZyhf56sjCz1RNs/12kmCY3CgPj1DuNqTch
 5CR5bjZq07tQ+3K4WEE1oZP8VAIGkp/cF2gd527gECJf2likla0zuS34dbzyjvR6ddDZ
 i1XYxQrVtDRSg7aueLsBtb5WeNnmyfkihWEbN4PYhU9Qx8a/k0saG9oQKpXkqdPQatn2
 vJ5vZC/ER4WDv7o2ziyfcBvKj0x2CzE6prI0dMf+0FNvQ3iTy3Ko3RPpaB9SBozLicNX
 MstRU5XmG+JyElZd+jSeb3No5JRSPXLZjUkr2OokpFf4iCNTC5LSZsqfT3fK1v1SPJCZ
 87Bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=DNBhvR+qQv+07OH9tXROQyzv169pyzObDNq0aSOgGmU=;
 b=ZSpjxT2ybE9OgvYXy7FvN1GyL2WKMFdxUldw0QyUSLm8CG1HeyficGqMj8IETcro4e
 jeCWN9zwnGmM7Dqt1yEBEkLGmDrDGM3mvphe0+SMbH7FV6B94aP+De0ZR2Gl59CEA9Ql
 cjoKyI35Q174xI/LRn4R1ct9fdX1zUaWKEECUBX8phZ04zKm18QcVcphkGRT06VG3Xmp
 ZCEWrh/DZT1l8e8MyuuWChz17UHsYzubt7VDgaXWoQFRosP/xwgMzep7zJc4xgpXVN5R
 tN6Q7B6hB0taC6XNM7PM3fCfJNk3gLELzoL5GvQnuc0XKnsTQ2kpMhWew2x8kjpz7OV1
 Qmzg==
X-Gm-Message-State: APjAAAUnUDX1EpSNdq5JurWjKvzkQ3lHRtfjzzUlny4fE1baYu8/N9Dz
 Ew3Q4QuNh3ZIaQB9uAA93YXO2bJZKyQ=
X-Google-Smtp-Source: APXvYqzqWG0Dy0wS+TcmMvbKrXxg1wmRHlgFkp7PrxZ19TDro//GLF3cT7SK5ae5/bhIFgtF1A5ljg==
X-Received: by 2002:a5d:50cf:: with SMTP id f15mr11166144wrt.381.1579706859633; 
 Wed, 22 Jan 2020 07:27:39 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id r68sm4246875wmr.43.2020.01.22.07.27.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 22 Jan 2020 07:27:38 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN> <87sgk7ttca.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 16:27:37 +0100
In-Reply-To: <87sgk7ttca.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 22 Jan 2020 16:16:05 +0100")
Message-ID: <m2r1zro6ja.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39115
Cc: ynyaaa@HIDDEN, 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 22 Jan 2020 16:16:05 +0100, Lars Ingebrigtsen <larsi@HIDDEN> said:

    Lars> ynyaaa@HIDDEN writes:
    >> If two or more links are consecutive without any blank characters,
    >> pointing one of them with mouse activates 'mouse-face of them all at
    >> the same time.

    Lars> Here's a file that demonstrates the problem (open with `M-x eww-open-file'):

    Lars> Hm.GnuFSF


    Lars> I don't know how to fix it, though.  Is there a way to make two
    Lars> consecutive mouse-face regions not light up at the same time when the
    Lars> mouse pointer is over a part of one of the regions?

Add a 'display text property of some kind of arrow/pointer to the end
of each link to achieve visual separation?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at 39115 <at> debbugs.gnu.org:


Received: (at 39115) by debbugs.gnu.org; 22 Jan 2020 15:16:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 10:16:16 2020
Received: from localhost ([127.0.0.1]:51098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuHjs-0001KD-Gs
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:16:16 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iuHjr-0001K0-1L
 for 39115 <at> debbugs.gnu.org; Wed, 22 Jan 2020 10:16:15 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iuHji-00052i-AD; Wed, 22 Jan 2020 16:16:08 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ynyaaa@HIDDEN
Subject: Re: bug#39115: 26.3; eww consecutive links look like one link with
 mouse-over
References: <86imlfxu7t.fsf@HIDDEN>
Date: Wed, 22 Jan 2020 16:16:05 +0100
In-Reply-To: <86imlfxu7t.fsf@HIDDEN> (ynyaaa@HIDDEN's message of "Tue,
 14 Jan 2020 00:16:22 +0900")
Message-ID: <87sgk7ttca.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: ynyaaa@HIDDEN writes: > If two or more links are
 consecutive
 without any blank characters, > pointing one of them with mouse activates
 'mouse-face of them all at > the same time. Here's a file that demonstrates
 the problem (open with `M-x eww-open-file'): 
 Content analysis details:   (-0.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 2.0 HTML_OBFUSCATE_20_30   BODY: Message is 20% to 30% HTML
 obfuscation
 0.0 T_HTML_ATTACH          HTML attachment to bypass scanning?
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: ynyaaa@HIDDEN writes: > If two or more links are
 consecutive
 without any blank characters, > pointing one of them with mouse activates
 'mouse-face of them all at > the same time. Here's a file that demonstrates
 the problem (open with `M-x eww-open-file'): 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: fsf.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.4 HTML_OBFUSCATE_20_30   BODY: Message is 20% to 30% HTML
 obfuscation
 0.0 T_HTML_ATTACH          HTML attachment to bypass scanning?
X-Debbugs-Envelope-To: 39115
Cc: 39115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  ynyaaa@HIDDEN writes: > If two or more links are consecutive
    without any blank characters, > pointing one of them with mouse activates
    'mouse-face of them all at > the same time. Here's a file that demonstrates
    the problem (open with `M-x eww-open-file'): 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ingebrigtsen.no]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 HTML_MESSAGE           BODY: HTML included in message
  2.4 HTML_OBFUSCATE_20_30   BODY: Message is 20% to 30% HTML
                             obfuscation
  0.0 T_HTML_ATTACH          HTML attachment to bypass scanning?
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

ynyaaa@HIDDEN writes:

> If two or more links are consecutive without any blank characters,
> pointing one of them with mouse activates 'mouse-face of them all at
> the same time.

Here's a file that demonstrates the problem (open with `M-x eww-open-file'):


--=-=-=
Content-Type: text/html
Content-Disposition: inline; filename=link.html

Hm.<a href="http://gnu.org">Gnu</a><a href="http://FSF.org">FSF</a>

--=-=-=
Content-Type: text/plain


I don't know how to fix it, though.  Is there a way to make two
consecutive mouse-face regions not light up at the same time when the
mouse pointer is over a part of one of the regions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2020 15:16:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 10:16:48 2020
Received: from localhost ([127.0.0.1]:59890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir1SR-0007Nt-RN
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 10:16:48 -0500
Received: from lists.gnu.org ([209.51.188.17]:41382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ynyaaa@HIDDEN>) id 1ir1SP-0007Nk-BH
 for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 10:16:45 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54653)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ynyaaa@HIDDEN>) id 1ir1SN-0002sb-IZ
 for bug-gnu-emacs@HIDDEN; Mon, 13 Jan 2020 10:16:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ynyaaa@HIDDEN>) id 1ir1SL-0000eF-LS
 for bug-gnu-emacs@HIDDEN; Mon, 13 Jan 2020 10:16:43 -0500
Received: from mail-pf1-x444.google.com ([2607:f8b0:4864:20::444]:41985)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ynyaaa@HIDDEN>) id 1ir1SL-0000cT-Aj
 for bug-gnu-emacs@HIDDEN; Mon, 13 Jan 2020 10:16:41 -0500
Received: by mail-pf1-x444.google.com with SMTP id 4so5012527pfz.9
 for <bug-gnu-emacs@HIDDEN>; Mon, 13 Jan 2020 07:16:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=v7DRTes5vhW0jMslM014G7GodftOV6ya/qTZmQjgiDk=;
 b=V7G9oCwRDIWS5GYcdvuL8TrjzOg+qnAqEfPpVBG2DjKLyNoM72fEczvZ2td7Ps/myB
 ASzQvFHYwI7lea93At1sSPju3Sigd07Zm/ClsvbzRJqXfAt+ynDBLBf7pgBSKqxXK0ja
 X5o/TgA+EZEm4rKw2jYOYZyY04XOlDoU1M/MMukryZvoib3rhSwgiwripXoWCoVa7vW+
 UTXmzTFUxp5WDWcEp+6GWz3X7XoKgPHK+CPcxG1SGnnUQrynp9SQHJ+7+pjiY9cEB4dx
 KENVNFaXLbKvg8wLK9JIFmPYYr2Gmrn3l8jT0XHZogAX/ecI1ybje00XKw6U9C9av7LY
 DKSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=v7DRTes5vhW0jMslM014G7GodftOV6ya/qTZmQjgiDk=;
 b=i3W5vrV/NzlygYnqyNYQA3WqRBVa7jEWLKE8zuYDflVjaYPZKbV8Q8LL+znQ7P7h7g
 pdoHv7ylzTWL7f6DUg1JU4xi7XcWq3XXYnsl/SAyzwNHax8QT1PTI/O96WRJBriDVxSW
 yuqWLLMz56cp7HQaIk4v2oiPiIoyyHssGHksv7h6EnqWZXtSK2w30cvCxmO3h4dIPO56
 +ZRByTP8CHsiMjY1WRHod+oTgSSltFvdRp27mcJkos3CDFh9uIvEN1tq0JJDdnlYLagp
 Job6z6ffyGQvY2c4gX9vkDbB/4Q17MvsOX++fbZfTzrTTDlaGYqga/Z5fevMu/Nsw9il
 PULQ==
X-Gm-Message-State: APjAAAX/pa4TiyVK82CNTCSL7arwuIIr6CEBN8ADUqf9uMltSYDYHNVD
 D8DxgP3xDoXb82KLXT8h+wUNN/ML
X-Google-Smtp-Source: APXvYqz4W8prpnctDjiOZ5x5xD16Dz0lCN6U1tqA0nwTGzf4YWybMUq1gViN0iepjChIayzYQhgzRw==
X-Received: by 2002:a63:4a1c:: with SMTP id x28mr20884421pga.7.1578928599556; 
 Mon, 13 Jan 2020 07:16:39 -0800 (PST)
Received: from HP (east42-p111.eaccess.hi-ho.ne.jp. [219.121.173.112])
 by smtp.gmail.com with ESMTPSA id 81sm14965225pfx.30.2020.01.13.07.16.38
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 13 Jan 2020 07:16:38 -0800 (PST)
From: ynyaaa@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; eww consecutive links look like one link with mouse-over
Date: Tue, 14 Jan 2020 00:16:22 +0900
Message-ID: <86imlfxu7t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::444
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


If two or more links are consecutive without any blank characters,
pointing one of them with mouse activates 'mouse-face of them all at
the same time.


In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29 built on CIRROCUMULUS
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor 'Microsoft Corp.', version 6.3.9600
Recent messages:

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Load-path shadows:
None found.

Features:
(mouse-copy mouse-drag novice cursor-sensor kmacro two-column iso-transl
image-mode timezone parse-time mule-diag url-http url-gw apropos
mode-local url-file url-dired url-cache url-auth eww mm-url gnus
nnheader url-queue url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse url-vars mailcap
shr svg xml browse-url mhtml-mode css-mode smie color js advice json map
imenu cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs sgml-mode dom thai-util thai-word lao-util
view descr-text rect info network-stream nsm starttls tls gnutls
mailalias smtpmail auth-source tabify pp shadow sort mail-extr emacsbug
message rmc puny seq dired dired-loaddefs format-spec rfc822 mml mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils cus-edit cus-start cus-load wid-edit pulse eieio-opt speedbar
sb-image ezimage dframe find-func thingatpt xref cl-seq project ring
eieio eieio-core cl-macs eieio-loaddefs misearch multi-isearch cl-extra
help-fns radix-tree cl-print byte-opt gv bytecomp byte-compile cconv
debug help-mode easymenu cl-loaddefs cl-lib elec-pair time-date
mule-util japan-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 505645 304991)
 (symbols 48 130565 23)
 (miscs 40 674 1134)
 (strings 32 216473 52483)
 (string-bytes 1 4382744)
 (vectors 16 32416)
 (vector-slots 8 1566514 118810)
 (floats 8 283 970)
 (intervals 56 92056 5849)
 (buffers 992 38))




Acknowledgement sent to ynyaaa@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39115; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Jan 2020 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.